Index: main/rtp.c
===================================================================
--- main/rtp.c	(revision 251929)
+++ main/rtp.c	(working copy)
@@ -790,8 +790,16 @@
 				rtp->resp = 0;
 				rtp->dtmf_duration = rtp->dtmf_timeout = 0;
 			}
+			
+			if (rtp->lastevent > seqno) {
+				/* It's possible to receive a DTMF begin/continuation *after* an
+				 * end for that digit has been received. If that is the case,
+				 * then we don't want to erroneously duplicate the DTMF.
+				 */
+				f = NULL;
+				return f;
+			}
 
-
 			if (rtp->resp) {
 				/* Digit continues */
 				rtp->dtmf_duration = new_duration;
